## imcode.util.log
Class TestDailyRollingFileAppender

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              imcode.util.log.TestDailyRollingFileAppender

All Implemented Interfaces:
  junit.framework.Test

    public class TestDailyRollingFileAppender

extends junit.framework.TestCase

Constructor Summary
`TestDailyRollingFileAppender(java.lang.String name)`

Method Summary
`void` `setUp()`
`void` `testLineLogged()`
`void` `testLogFileCreated()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestDailyRollingFileAppender

    public TestDailyRollingFileAppender(java.lang.String name)

Method Detail

### setUp

    public void setUp()

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### testLogFileCreated

    public void testLogFileCreated()
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### testLineLogged

    public void testLineLogged()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`